panda843/tld-support

Support package for TLDDatabase and TLDExtract

1.1.1 2016-06-18 12:28 UTC

This package is auto-updated.

Last update: 2022-09-04 08:43:53 UTC


README

Support package for TLDDatabase and TLDExtract. This package provides helpers for work with arrays, IP addresses, strings and more.

Build Status Code Climate Test Coverage PHP 7 ready

This package is compliant with PSR-1, PSR-2, PSR-4. If you notice compliance oversights, please send a patch via pull request.

Requirements

The following versions of PHP are supported.

  • PHP 5.5
  • PHP 5.6
  • PHP 7.0
  • HHVM

Usage

Arrays:

mixed Arr::first(array $haystack, null|callable $callback, mixed $default);
mixed Arr::last(array $haystack, null|callable $callback, mixed $default);

IP addresses:

bool IP::isValid(string $hostname);

Strings:

bool     Str::endsWith(string $haystack, string|array $needles);
int      Str::length(string $value);
string   Str::lower(string $value);
string   Str::substr(string $string, int $start, int|null $length = null);
bool     Str::startsWith(string $haystack, string|array $needles);
bool|int Str::strpos(string $haystack, string $needles, int $offset = 0);
bool|int Str::strrpos(string $haystack, string $needles, int $offset = 0);

Mixed:

mixed Mixed::value(mixed $value);

Install

Via Composer

$ composer require layershifter/tld-support

Testing

$ composer test

Contributing

Please see CONTRIBUTING and CONDUCT for details.

License

This library is released under the Apache 2.0 license. Please see License File for more information.